CREATE SEQUENCE SEK_ID_KLJUCI_LETO START WITH 1 INCREMENT BY 1 MINVALUE 1 CACHE 20 NOCYCLE  NOORDER ;

ALTER TABLE S_KLJUCI_LETO
  ADD ID_KLJUCI_LETO number;

update s_kljuci_leto
set id_kljuci_leto = sek_id_kljuci_leto.nextval
where id_kljuci_leto is null;

INSERT INTO S_KLJUCI ( IDKLJUC, STEVEC, PREDPONA, PRIPONA, TIP, MESEC, DAN, LETO, DATUM, RESET, VIDEN ) VALUES ( 
'S_KLJUCI_LETO', 1, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, 0);

UPDATE S_KLJUCI
SET STEVEC = ((select Max(id_kljuci_leto)+1 from s_kljuci_leto))
where IDKLJUC='S_KLJUCI_LETO';
 
drop sequence sek_id_kljuci_leto;

CREATE UNIQUE INDEX IX_ID_KLJUCI_LETO ON S_KLJUCI_LETO (ID_KLJUCI_LETO);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (88, SYSDATE, '5.5', 11, 'tevci tabela');