ALTER TABLE RACUNI_KUPCEV
ADD ID_CARDS VARCHAR2(3 CHAR);

ALTER TABLE RACUNI_KUPCEV
ADD DIRECT_DEBIT VARCHAR2(1 CHAR);

CREATE OR REPLACE VIEW V_RACUNI_KUPCEV
AS (
SELECT RK.ID_RACUNA, RK.ID_LASTNIKA, RK.ST_RACUNA, RK.OPIS, RK.BANKA, RK.PREFERRED, RK.DIRECT_DEBIT_AUTH, RK.DIRECT_DEBIT,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM RACUNI_KUPCEV RK
LEFT OUTER JOIN KUPCI K ON K.ID = RK.ID_LASTNIKA
);

CREATE OR REPLACE VIEW V_NNCARDS AS (
SELECT NC.ID_CARDS, NC.OPIS, NC.INTERNI_OPIS, NC.VRSTA_DENARJA, NC.VALUTA, NC.PROVIZIJA, NC.KONTO, NC.KNJIZBA_OPIS, NC.STORITEV, NC.SUBLEASE, 
NC.USE_PAYMENT_SYSTEM, NC.CARD_ISSUER, NC.REFUND, NC.MOBILE_USE, NC.VBLAGAJNI, NC.ROUNDING,
PI.OPIS AS PLATNI_INSTRUMENTI_OPIS, PI.VRSTA AS PLATNI_INSTRUMENTI_VRSTA, MS.OPIS AS NNSTOMAR_OPIS, PS.OPIS AS PAYMENT_SYSTEM_OPIS
FROM NNCARDS NC
LEFT OUTER JOIN PLATNI_INSTRUMENTI PI ON PI.PLATNI_INSTRUMENT = NC.VRSTA_DENARJA
LEFT OUTER JOIN M_NNSTOMAR MS ON MS.SIFRA = NC.STORITEV
LEFT OUTER JOIN NNPAYMENT_SYSTEM PS ON PS.SIFRA =  NC.USE_PAYMENT_SYSTEM
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1141, SYSDATE, '5.5', 1061, 'Direct debit 2')
;