CREATE OR REPLACE  VIEW V_SURVEY_EVENTS AS
SELECT SD.SURVEY_EVENT_DETAILS_ID AS ID, S.SURVEY_EVENTS_ID, S.OWNER_ID, RTRIM(K.PRIIMEK || COALESCE(K.IME, '')) AS OWNER, S.BOAT_ID, P.IME AS BOAT,
S.DATE_FROM, S.DATE_TO, S.TOTAL_DAYS, SD.SENT_ON, SD.DAY_SENT, SD.SURVEY_LINK, S.ACT
FROM SURVEY_EVENTS S
LEFT OUTER JOIN SURVEY_EVENT_DETAILS SD ON S.SURVEY_EVENTS_ID=SD.SURVEY_EVENTS_ID
LEFT OUTER JOIN KUPCI K ON S.OWNER_ID=K.ID
LEFT OUTER JOIN PLOVILA P ON S.BOAT_ID=P.ID
;

ALTER TABLE SURVEY_EVENT_DETAILS
ADD SENT_OK VARCHAR2(1 CHAR)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1668, SYSDATE, '5.5', 1588, 'Survey')
;