ALTER TABLE MARINA_EVENT
ADD DYNAMIC_QUESTIONNAIRE VARCHAR2(1 CHAR);

ALTER TABLE QUESTION
ADD CONVERSION_TYPE NUMBER;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, SC.NAME AS SECTION_NAME, 
  QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (886, SYSDATE, '5.5', 806, 'Vprasalniki 2');